// Verilog definition of TB2
// created by TB

module TB2(N45, N46, N47, N48, N49, N50, N51);
input N45;
input N46;
input N47;
input N48;
input N49;
output N50;
output N51;

  wire N52;
  wire N56;
  wire N63;

  inv02 ix133(N52, N51);
  oai21 ix21(N46, N49, N56, N52);
  nand02_2x ix136(N47, N48, N56);
  ao21 ix138(N45, N47, N63, N50);
  and02 ix9(N46, N56, N63);

endmodule
